Subject: Re: makeinfo not built to run under win32 ?
From: [email-masked] (Michael Ring)
To: [email-masked]
Cc: [email-masked]
Date: Mon, 14 Aug 2000 17:28:23 +0200

On Mon, 14 Aug 2000 00:56:22 -0700, you wrote:

>AFAIK the texinfo part of gcc is not intended to be maintained, rather
>will be removed from that distribution, so it seems logical enough to
>remove it ourselves when we already have a satisfactory makeinfo
>incorporated in cygwin.  Yes, Mumit did a great deal of the work to
>include cygwin with secondary support or whatever they call it in gcc,
>but that doesn't extend to the texinfo part of gcc, which we don't need.
>
>Tim Prince
>----- Original Message -----
>From: "Chris Faylor" <[email-masked]>
>To: <[email-masked]>
>Sent: Friday, August 11, 2000 8:39 AM
>Subject: Re: makeinfo not built to run under win32 ?
>
>
>> On Fri, Aug 11, 2000 at 10:46:14AM -0400, Chuck Meade wrote:
>> >When you say that the version on sources has a lot of extra
>> >patches, do you mean the version of makeinfo in cygwin, or the
>> >makeinfo source in gcc?
>>
>> I mean the gcc sources.  Mumit Khan did a lot of work on gcc itself.
>>
>> cgf
>>
>> --
>> Want to unsubscribe from this list?
>> Send a message to [email-masked]
>>
I had a problem with install-info 3.12 and for that reason I patched &
recompiled texinfo-4.0.

It passes all it's internal tests and seems to work fine.

I have included the patch but will also upload a pre-compiled
test-version to
cygwin. Please monitor the cygwin-apps list to get the information
when I am done with uploading.

Michael Ring

diff -Naur texinfo-4.0_o/makeinfo/files.c texinfo-4.0/makeinfo/files.c
--- texinfo-4.0_o/makeinfo/files.c      Tue Mar 23 21:42:44 1999
+++ texinfo-4.0/makeinfo/files.c        Sun Aug 13 20:01:03 2000
@@ -178,7 +178,12 @@
     count += n;
   if (0 < count && count < file_size)
     result = xrealloc (result, count + 2); /* why waste the slack? */
-  else if (n == -1)
+  else
+#ifdef __CYGWIN__
+        if (n != n)
+#else
+        if (n == -1)
+#endif
 #else /* !VMS && !O_BINARY */
     count = file_size;
     if (read (file, result, file_size) != file_size)

--
Want to unsubscribe from this list?
Send a message to [email-masked]